/*
 *  specopt.C from ObjectProDSP 0.1
 *  Copyright (C) 1994, Mountain Math Software, All rights reserved.
 *  Licensed for free use and distribution under version 2 of the Gnu General
 *  Public License. Please see file COPYING for details and restrictions.
 *  
 *  ObjectProDSP is a trademark of Mountain Math Software.
 */
#include "specopt.h"
#include "cgidbg.h"

SpecialOptions::SpecialOptions(TraverseObject& Obj):
	TheType(TraverseObjectOpt),
	TheOpt(&Obj)
{
}


TraverseObject * SpecialOptions::GetTraverseObject()
{
	switch (TheType) {
case TraverseObjectOpt:
		return (TraverseObject *) TheOpt ;
default:
		return 0 ;
	}
}

